## okteta 15.12.3

=== designer/CMakeLists.txt ===
project( oktetadesignerplugin )

set( oktetadesignerplugin_SRCS
  bytearraycolumnviewdesignerfactory.cpp
  bytearrayrowviewdesignerfactory.cpp
  oktetawidgetdesignerfactorycollection.cpp
  fillerbytearraymodel.cpp
)


add_library( oktetadesignerplugin  MODULE ${oktetadesignerplugin_SRCS} )

target_link_libraries( oktetadesignerplugin
  OktetaGui
  OktetaCore
  Qt5::Widgets
  Qt5::Designer
)

install( TARGETS oktetadesignerplugin  DESTINATION ${QT_PLUGIN_INSTALL_DIR}/designer )


if( OKTETA_BUILD_EXAMPLES )
add_subdirectory( examples )
endif( OKTETA_BUILD_EXAMPLES )

=== kasten/CMakeLists.txt ===
project( oktetakasten )
cmake_minimum_required(VERSION 2.8.8)

set( KASTEN_LIB_VERSION 0.3.0 )
set( KASTEN_ABI_VERSION 3 )

set( OKTETAKASTEN_MAJOR_VERSION 0 )
set( OKTETAKASTEN_MINOR_VERSION 3 )
set( OKTETAKASTEN_PATCHLEVEL_VERSION 1 )
set( OKTETAKASTEN_VERSION "${OKTETAKASTEN_MAJOR_VERSION}.${OKTETAKASTEN_MINOR_VERSION}.${OKTETAKASTEN_PATCHLEVEL_VERSION}" )
set( OKTETAKASTEN_ABI_VERSION 1 )
set( OKTETAKASTEN_INCLUDE_INSTALL_DIR  ${INCLUDE_INSTALL_DIR}/kasten/okteta ) #${KASTEN_ABI_VERSION}/okteta${OKTETAKASTEN_ABI_VERSION} )
set( OKTETAKASTEN_CCINCLUDE_INSTALL_DIR  ${INCLUDE_INSTALL_DIR}/Kasten/Okteta )  #${KASTEN_ABI_VERSION}/Okteta${OKTETAKASTEN_ABI_VERSION} )

set( OKTETAKASTEN_LIB_SOVERSION ${OKTETAKASTEN_ABI_VERSION} )
set( OKTETAKASTEN_LIB_VERSION ${OKTETAKASTEN_VERSION} )


add_subdirectory( core )
add_subdirectory( gui )
add_subdirectory( controllers )

=== program/CMakeLists.txt ===
project( oktetaprogram )

set( okteta_SRCS
  main.cpp
  program.cpp
  about.cpp
  mainwindow.cpp
)

ecm_add_app_icon(okteta_SRCS
  ICONS
    ${CMAKE_CURRENT_SOURCE_DIR}/16-apps-okteta.png
    ${CMAKE_CURRENT_SOURCE_DIR}/32-apps-okteta.png
    ${CMAKE_CURRENT_SOURCE_DIR}/48-apps-okteta.png
)

add_executable( okteta  ${okteta_SRCS} )

target_link_libraries( okteta
  OktetaKastenControllers
  OktetaKastenGui
  OktetaKastenCore
  KastenControllers
  KastenGui
  KastenCore
  KF5::ConfigCore
  KF5::I18n
  KF5::XmlGui
  KF5::DBusAddons
)

install( TARGETS okteta  ${INSTALL_TARGETS_DEFAULT_ARGS} )


install( PROGRAMS org.kde.okteta.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( FILES oktetaui.rc  DESTINATION ${KXMLGUI_INSTALL_DIR}/okteta )
install( FILES org.kde.okteta.appdata.xml DESTINATION ${SHARE_INSTALL_PREFIX}/appdata )

ecm_install_icons(
  ICONS 16-apps-okteta.png  32-apps-okteta.png  48-apps-okteta.png
  DESTINATION ${ICON_INSTALL_DIR}
)

=== kasten/controllers/CMakeLists.txt ===
set( LIBFRAMESPRINT_REL_DIR ../../libs/framesprint )

ecm_setup_version( ${OKTETAKASTEN_LIB_VERSION}
    VARIABLE_PREFIX OKTETAKASTENCONTROLLERS
    SOVERSION ${OKTETAKASTEN_LIB_SOVERSION}
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/OktetaKastenControllersConfigVersion.cmake"
)

add_definitions(-DTRANSLATION_DOMAIN=\"liboktetakasten\")

macro(OKTETAKASTENCONTROLLERS_GENERATE_HEADERS _SUBLIB _RELATIVE)
    ecm_generate_headers("${_SUBLIB}_CCHDRS"
        HEADER_NAMES ${ARGN}
        RELATIVE ${_RELATIVE}
        PREFIX Kasten/Okteta
        REQUIRED_HEADERS "${_SUBLIB}_HDRS"
    )
endmacro()

include_directories(
  view/libbytearraychecksum
  view/libbytearrayfilter
  view/libfinddialog
  ${LIBFRAMESPRINT_REL_DIR}
)

set(HAVE_QCA2 ${Qca-qt5_FOUND})
configure_file( config-qca2.h.cmake  ${CMAKE_CURRENT_BINARY_DIR}/config-qca2.h )

set( DOCUMENTINFOCONTROLLER_SRCS
  document/info/bytearraymodeliodevice.cpp
  document/info/documentinfotool.cpp
  document/info/documentinfoview.cpp
  document/info/documentinfotoolview.cpp
)
oktetakastencontrollers_generate_headers(documentinfocontroller document/info
  DocumentInfoTool
  DocumentInfoToolView
)
set( OVERWRITEONLYCONTROLLER_SRCS
  document/overwriteonly/overwriteonlycontroller.cpp
)
oktetakastencontrollers_generate_headers(overwriteonlycontroller document/overwriteonly
  OverwriteOnlyController
)
set( OVERWRITEMODECONTROLLER_SRCS
  view/overwritemode/overwritemodecontroller.cpp
)
oktetakastencontrollers_generate_headers(overwritemodecontroller view/overwritemode
  OverwriteModeController
)
set( INFOCONTROLLER_SRCS
  view/info/createstatisticjob.cpp
  view/info/statistictablemodel.cpp
  view/info/infotool.cpp
  view/info/infoview.cpp
  view/info/infotoolview.cpp
  view/info/infotoolfactory.cpp
  view/info/infotoolviewfactory.cpp
)
kconfig_add_kcfg_files( INFOCONTROLLER_SRCS view/info/infoviewsettings.kcfgc )
oktetakastencontrollers_generate_headers(infocontroller view/info
  InfoTool
  InfoToolView
  InfoToolFactory
  InfoToolViewFactory
)

set( STRINGSEXTRACTCONTROLLER_SRCS
  view/stringsextract/extractstringsjob.cpp
  view/stringsextract/stringsextracttool.cpp
  view/stringsextract/containedstringtablemodel.cpp
  view/stringsextract/stringsextractview.cpp
  view/stringsextract/stringsextracttoolview.cpp
  view/stringsextract/stringsextracttoolfactory.cpp
  view/stringsextract/stringsextracttoolviewfactory.cpp
)
oktetakastencontrollers_generate_headers(stringsextractcontroller view/stringsextract
  ContainedString
  StringsExtractTool
  StringsExtractToolView
  StringsExtractToolFactory
  StringsExtractToolViewFactory
)

if( Qca-qt5_FOUND )
    set( QCA2CHECKSUM_SRCS
      view/libbytearraychecksum/algorithm/qca2bytearraychecksumalgorithm.cpp
    )
endif( Qca-qt5_FOUND )
set( LIBCHECKSUM_SRCS
  view/libbytearraychecksum/abstractbytearraychecksumalgorithm.cpp
  view/libbytearraychecksum/abstractbytearraychecksumparameterset.cpp
  view/libbytearraychecksum/abstractbytearraychecksumparametersetedit.cpp
  view/libbytearraychecksum/bytearraychecksumalgorithmfactory.cpp
  view/libbytearraychecksum/bytearraychecksumparameterseteditfactory.cpp
  view/libbytearraychecksum/algorithm/crc32bytearraychecksumalgorithm.cpp
  view/libbytearraychecksum/algorithm/adler32bytearraychecksumalgorithm.cpp
  view/libbytearraychecksum/algorithm/modsum8bytearraychecksumalgorithm.cpp
  view/libbytearraychecksum/algorithm/modsum16bytearraychecksumalgorithm.cpp
  view/libbytearraychecksum/algorithm/modsum32bytearraychecksumalgorithm.cpp
  view/libbytearraychecksum/algorithm/modsum64bytearraychecksumalgorithm.cpp
## NEWCHECKSUM(start)
## Here add the names of your source files of your checksum algorithm,
## e.g.
##   view/libbytearraychecksum/algorithm/mybytearraychecksumalgorithm.cpp
## NEWCHECKSUM(end)
  view/libbytearraychecksum/algorithm/nobytearraychecksumparameterset.cpp
  view/libbytearraychecksum/algorithm/nobytearraychecksumparametersetedit.cpp
  view/libbytearraychecksum/algorithm/modsumbytearraychecksumparameterset.cpp
  view/libbytearraychecksum/algorithm/modsumbytearraychecksumparametersetedit.cpp
## NEWCHECKSUMPARAMETERSET(start)
## Here add the names of your source files of your checksum parameter set and
## of the widget to edit the checksum parameter set,
## e.g.
##   view/libbytearraychecksum/algorithm/mybytearraychecksumparameterset.cpp
##   view/libbytearraychecksum/algorithm/mybytearraychecksumparametersetedit.cpp
## NEWCHECKSUMPARAMETERSET(end)
  ${QCA2CHECKSUM_SRCS}
)
set( CHECKSUMCONTROLLER_SRCS
  view/checksum/checksumcalculatejob.cpp
  view/checksum/checksumlogging.cpp
  view/checksum/checksumtool.cpp
  view/checksum/checksumview.cpp
  view/checksum/checksumtoolview.cpp
  view/checksum/checksumtoolfactory.cpp
  view/checksum/checksumtoolviewfactory.cpp
)
oktetakastencontrollers_generate_headers(checksumcontroller view/checksum
  ChecksumTool
  ChecksumToolView
  ChecksumToolFactory
  ChecksumToolViewFactory
)

set( LIBFINDDIALOG_SRCS
  view/libfinddialog/kabstractfinddialog.cpp
)
oktetakastencontrollers_generate_headers(libfinddialog view/libfinddialog
  KFindDirection
)

set( PODDECODERCONTROLLER_SRCS
  view/poddecoder/typecodecs/binary8codec.cpp
  view/poddecoder/typecodecs/octal8codec.cpp
  view/poddecoder/typecodecs/hexadecimal8codec.cpp
  view/poddecoder/typecodecs/uint8codec.cpp
  view/poddecoder/typecodecs/uint16codec.cpp
  view/poddecoder/typecodecs/uint32codec.cpp
  view/poddecoder/typecodecs/uint64codec.cpp
  view/poddecoder/typecodecs/sint8codec.cpp
  view/poddecoder/typecodecs/sint16codec.cpp
  view/poddecoder/typecodecs/sint32codec.cpp
  view/poddecoder/typecodecs/sint64codec.cpp
  view/poddecoder/typecodecs/float32codec.cpp
  view/poddecoder/typecodecs/float64codec.cpp
  view/poddecoder/typecodecs/char8codec.cpp
  view/poddecoder/typecodecs/utf8codec.cpp
  view/poddecoder/poddata.cpp
  view/poddecoder/poddecodertool.cpp
  view/poddecoder/podtablemodel.cpp
  view/poddecoder/poddelegate.cpp
  view/poddecoder/podtableview.cpp
  view/poddecoder/poddecodertoolview.cpp
  view/poddecoder/poddecodertoolfactory.cpp
  view/poddecoder/poddecodertoolviewfactory.cpp
)
oktetakastencontrollers_generate_headers(poddecodercontroller view/poddecoder
  PODData
  PODDecoderTool
  PODDecoderToolView
  PODDecoderToolFactory
  PODDecoderToolViewFactory
)

set( PODDECODER_TYPEEDITOR_SRCS
  view/poddecoder/typeeditors/abstractvalue8editor.cpp
  view/poddecoder/typeeditors/binary8editor.cpp
  view/poddecoder/typeeditors/octal8editor.cpp
  view/poddecoder/typeeditors/hexadecimal8editor.cpp
  view/poddecoder/typeeditors/uintspinbox.cpp
  view/poddecoder/typeeditors/sintspinbox.cpp
  view/poddecoder/typeeditors/float32editor.cpp
  view/poddecoder/typeeditors/float64editor.cpp
  view/poddecoder/typeeditors/char8editor.cpp
  view/poddecoder/typeeditors/utf8editor.cpp
)

set( BYTETABLECONTROLLER_SRCS
  view/bytetable/bytetablemodel.cpp
  view/bytetable/bytetabletool.cpp
  view/bytetable/bytetableview.cpp
  view/bytetable/bytetabletoolview.cpp
  view/bytetable/bytetabletoolfactory.cpp
  view/bytetable/bytetabletoolviewfactory.cpp
)
kconfig_add_kcfg_files( BYTETABLECONTROLLER_SRCS view/bytetable/bytetableviewsettings.kcfgc )
oktetakastencontrollers_generate_headers(bytetablecontroller view/bytetable
  ByteTableTool
  ByteTableToolView
  ByteTableToolFactory
  ByteTableToolViewFactory
)

set( SEARCHCONTROLLER_SRCS
  view/search/ksearchdialog.cpp
  view/search/searchjob.cpp
  view/search/searchtool.cpp
  view/search/searchcontroller.cpp
)
oktetakastencontrollers_generate_headers(searchcontroller view/search
  SearchController
  SearchUserQueryable
)

set( REPLACECONTROLLER_SRCS
  view/replace/kreplacedialog.cpp
  view/replace/kreplaceprompt.cpp
  view/replace/replacetool.cpp
  view/replace/replacecontroller.cpp
)
oktetakastencontrollers_generate_headers(replacecontroller view/replace
  ReplaceController
  ReplaceUserQueryable
)

set( LIBFILTER_SRCS
  view/libbytearrayfilter/abstractbytearrayfilter.cpp
  view/libbytearrayfilter/abstractbytearrayfilterparameterset.cpp
  view/libbytearrayfilter/abstractbytearrayfilterparametersetedit.cpp
  view/libbytearrayfilter/bytearrayfilterfactory.cpp
  view/libbytearrayfilter/bytearrayfilterparameterseteditfactory.cpp
  view/libbytearrayfilter/filter/nobytearrayfilterparameterset.cpp
  view/libbytearrayfilter/filter/operandbytearrayfilterparameterset.cpp
  view/libbytearrayfilter/filter/reversebytearrayfilterparameterset.cpp
  view/libbytearrayfilter/filter/rotatebytearrayfilterparameterset.cpp
## NEWFILTERPARAMETERSET(start)
## Here add the names of your source files of your filter parameter set,
## e.g.
##  view/libbytearrayfilter/filter/mybytearrayfilterparameterset.cpp
## NEWFILTERPARAMETERSET(end)
  view/libbytearrayfilter/filter/andbytearrayfilter.cpp
  view/libbytearrayfilter/filter/orbytearrayfilter.cpp
  view/libbytearrayfilter/filter/xorbytearrayfilter.cpp
  view/libbytearrayfilter/filter/invertbytearrayfilter.cpp
  view/libbytearrayfilter/filter/reversebytearrayfilter.cpp
  view/libbytearrayfilter/filter/rotatebytearrayfilter.cpp
  view/libbytearrayfilter/filter/shiftbytearrayfilter.cpp
## NEWFILTER(start)
## Here add the names of your source files of your filter,
## e.g.
##   view/libbytearrayfilter/filter/mybytearrayfilter.cpp
## NEWFILTER(end)
  view/libbytearrayfilter/filter/nobytearrayfilterparametersetedit.cpp
  view/libbytearrayfilter/filter/operandbytearrayfilterparametersetedit.cpp
  view/libbytearrayfilter/filter/reversebytearrayfilterparametersetedit.cpp
  view/libbytearrayfilter/filter/rotatebytearrayfilterparametersetedit.cpp
## NEWFILTERPARAMETERSET(start)
## Here add the names of your source files of your widget to edit the filter parameter set,
## e.g.
##   view/libbytearrayfilter/filter/mybytearrayfilterparametersetedit.cpp
## NEWFILTERPARAMETERSET(end)
)
set( FILTERCONTROLLER_SRCS
  view/filter/filterjob.cpp
  view/filter/filtertool.cpp
  view/filter/filterview.cpp
  view/filter/filtertoolview.cpp
  view/filter/filtertoolfactory.cpp
  view/filter/filtertoolviewfactory.cpp
)
oktetakastencontrollers_generate_headers(filtercontroller view/filter
  FilterTool
  FilterToolView
  FilterToolFactory
  FilterToolViewFactory
)

set( CHARSETCONVERSIONTOOL_SRCS
  view/charsetconversion/charsetconversionjob.cpp
  view/charsetconversion/charsetconversiontool.cpp
  view/charsetconversion/charsetconversionview.cpp
  view/charsetconversion/charsetconversiontoolview.cpp
  view/charsetconversion/charsetconversiontoolfactory.cpp
  view/charsetconversion/charsetconversiontoolviewfactory.cpp
)
oktetakastencontrollers_generate_headers(charsetconversiontool view/charsetconversion
  CharsetConversionTool
  CharsetConversionToolView
  CharsetConversionToolFactory
  CharsetConversionToolViewFactory
)

set( GOTOOFFSETCONTROLLER_SRCS
  view/gotooffset/gotooffsettool.cpp
  view/gotooffset/gotooffsetview.cpp
  view/gotooffset/gotooffsettoolview.cpp
  view/gotooffset/gotooffsetcontroller.cpp
)
oktetakastencontrollers_generate_headers(gotooffsetcontroller view/gotooffset
  GotoOffsetController
)

set( SELECTRANGECONTROLLER_SRCS
  view/selectrange/selectrangetool.cpp
  view/selectrange/selectrangeview.cpp
  view/selectrange/selectrangetoolview.cpp
  view/selectrange/selectrangecontroller.cpp
)
oktetakastencontrollers_generate_headers(selectrangecontroller view/selectrange
  SelectRangeController
)

set( BOOKMARKSCONTROLLER_SRCS
  view/bookmarks/bookmarkeditpopup.cpp
  view/bookmarks/bookmarkscontroller.cpp
)
oktetakastencontrollers_generate_headers(bookmarkscontroller view/bookmarks
  BookmarksController
)

set( BOOKMARKSTOOL_SRCS
  view/bookmarks/bookmarklistmodel.cpp
  view/bookmarks/bookmarkstool.cpp
  view/bookmarks/bookmarksview.cpp
  view/bookmarks/bookmarkstoolview.cpp
  view/bookmarks/bookmarkstoolfactory.cpp
  view/bookmarks/bookmarkstoolviewfactory.cpp
)
oktetakastencontrollers_generate_headers(bookmarkstool view/bookmarks
  BookmarksTool
  BookmarksToolView
  BookmarksToolFactory

=== libs/kasten/CMakeLists.txt ===
project( kasten )

set( KASTEN_MAJOR_VERSION 0 )
set( KASTEN_MINOR_VERSION 3 )
set( KASTEN_PATCHLEVEL_VERSION 0 )
set( KASTEN_VERSION "${KASTEN_MAJOR_VERSION}.${KASTEN_MINOR_VERSION}.${KASTEN_PATCHLEVEL_VERSION}" )
set( KASTEN_ABI_VERSION 3 )
set( KASTEN_INCLUDE_INSTALL_DIR  ${INCLUDE_INSTALL_DIR}/kasten ) #${KASTEN_ABI_VERSION} )
set( KASTEN_CCINCLUDE_INSTALL_DIR  ${INCLUDE_INSTALL_DIR}/Kasten ) #${KASTEN_ABI_VERSION}

set( KASTEN_LIB_SOVERSION ${KASTEN_ABI_VERSION} )
set( KASTEN_LIB_VERSION ${KASTEN_VERSION} )

add_subdirectory( core )
add_subdirectory( gui )
add_subdirectory( controllers )

#add_subdirectory( kparts )

=== debian/control ===
Source: okteta
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.7.0~),
               kdoctools-dev,
               kio-dev,
               libkf5bookmarks-dev,
               libkf5codecs-dev,
               libkf5completion-dev,
               libkf5configwidgets-dev,
               libkf5dbusaddons-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5kcmutils-dev,
               libkf5newstuff-dev,
               libkf5parts-dev,
               libkf5service-dev,
               libkf5widgetsaddons-dev,
               libkf5xmlgui-dev,
               libqca-qt5-2-dev (>= 2.1.0),
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.4),
               qtscript5-dev (>= 5.4),
               qttools5-dev (>= 5.4),
               shared-mime-info (>= 0.30)
Standards-Version: 3.9.6
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/okteta.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/okteta.git

Package: okteta
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: hexadecimal editor for binary files
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 .
 The data is displayed in the traditional view with two columns: one with the
 numeric values and one with the assigned characters. Editing can be done both
 in the value column and the character column. Besides the usual editing
 capabilities Okteta also brings a small set of tools, like a table listing
 decodings into common simple data types, a table listing all possible bytes
 with its character and value equivalents, a info view with a statistic and a
 filter tool. All modifications to the data loaded can be endlessly undone or
 redone.
 .
 This package is part of the KDE Software Development Kit module.

Package: okteta-dev
Architecture: any
Section: devel
Depends: libkasten3controllers3 (= ${binary:Version}),
         libkasten3core3 (= ${binary:Version}),
         libkasten3gui3 (= ${binary:Version}),
         libkasten3okteta1controllers1 (= ${binary:Version}),
         libkasten3okteta1core1 (= ${binary:Version}),
         libkasten3okteta1gui1 (= ${binary:Version}),
         libkf5xmlgui-dev,
         libokteta2core2 (= ${binary:Version}),
         libokteta2gui2 (= ${binary:Version}),
         okteta (= ${binary:Version}),
         qtbase5-dev (>= 5.4),
         ${misc:Depends}
Description: Development files for Okteta
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 .
 This package contains the development files for Okteta.
 .
 This package is part of the KDE Software Development Kit module.

Package: libkasten3controllers3
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: controllers Kasten library for Okteta
 Kasten is a framework for composing programs.
 .
 This package provides the controller part of Kasten.
 .
 This package is part of the KDE Software Development Kit module.

Package: libkasten3core3
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: core Kasten library for Okteta
 Kasten is a framework for composing programs.
 .
 This package provides the core part of Kasten.
 .
 This package is part of the KDE Software Development Kit module.

Package: libkasten3gui3
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: gui Kasten library for Okteta
 Kasten is a framework for composing programs.
 .
 This package provides the GUI part of Kasten.
 .
 This package is part of the KDE Software Development Kit module.

Package: libokteta2core2
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: core Okteta library
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 .
 This package provides the core part of the Okteta libraries.
 .
 This package is part of the KDE Software Development Kit module.

Package: libokteta2gui2
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: gui Okteta library
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 .
 This package provides the GUI part of the Okteta libraries.
 .
 This package is part of the KDE Software Development Kit module.

Package: libkasten3okteta1controllers1
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: kastencontrollers library for Okteta
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 .
 This package provides the part of the Okteta libraries interfacing with Kasten
 controllers.
 .
 This package is part of the KDE Software Development Kit module.

Package: libkasten3okteta1core1
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: kastencore library for Okteta
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 .
 This package provides the part of the Okteta libraries interfacing
 with Kasten core.
 .
 This package is part of the KDE Software Development Kit module.

Package: libkasten3okteta1gui1
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: kastengui library for Okteta
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 .
 This package provides the part of the Okteta libraries interfacing
 with Kasten GUI.
 .
 This package is part of the KDE Software Development Kit module.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_CFLAGS_MAINT_STRIP = -O3
export DEB_CXXFLAGS_MAINT_STRIP = -O3

dh = --with sodeps

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11
Restrictions: build-needed

Tests: acc
Depends: @, @builddeps@,
         dh-acc, exuberant-ctags
Restrictions: allow-stderr

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/okteta-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/okteta-([\d.]+).tar.xz

## okteta 16.04.3

=== debian/control ===
--- 
+++ 
@@ -9,33 +9,33 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.7.0~),
-               kdoctools-dev,
-               kio-dev,
-               libkf5bookmarks-dev,
-               libkf5codecs-dev,
-               libkf5completion-dev,
-               libkf5configwidgets-dev,
-               libkf5dbusaddons-dev,
-               libkf5i18n-dev,
-               libkf5iconthemes-dev,
-               libkf5kcmutils-dev,
-               libkf5newstuff-dev,
-               libkf5parts-dev,
-               libkf5service-dev,
-               libkf5widgetsaddons-dev,
-               libkf5xmlgui-dev,
+               extra-cmake-modules (>= 5.24.0~),
+               kdoctools-dev (>= 5.24.0~),
+               kio-dev (>= 5.24.0~),
+               libkf5bookmarks-dev (>= 5.24.0~),
+               libkf5codecs-dev (>= 5.24.0~),
+               libkf5completion-dev (>= 5.24.0~),
+               libkf5configwidgets-dev (>= 5.24.0~),
+               libkf5dbusaddons-dev (>= 5.24.0~),
+               libkf5i18n-dev (>= 5.24.0~),
+               libkf5iconthemes-dev (>= 5.24.0~),
+               libkf5kcmutils-dev (>= 5.24.0~),
+               libkf5newstuff-dev (>= 5.24.0~),
+               libkf5parts-dev (>= 5.24.0~),
+               libkf5service-dev (>= 5.24.0~),
+               libkf5widgetsaddons-dev (>= 5.24.0~),
+               libkf5xmlgui-dev (>= 5.24.0~),
                libqca-qt5-2-dev (>= 2.1.0),
                pkg-config,
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.4),
-               qtscript5-dev (>= 5.4),
-               qttools5-dev (>= 5.4),
+               qtbase5-dev (>= 5.6.1~),
+               qtscript5-dev (>= 5.6.1~),
+               qttools5-dev (>= 5.6.1~),
                shared-mime-info (>= 0.30)
 Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/okteta.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/okteta.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/okteta
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/okteta
 
 Package: okteta
 Architecture: any

## okteta 16.08.3

=== parts/kpart/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"oktetapart\")

set( oktetapart_SRCS
  part.cpp
  browserextension.cpp
  partfactory.cpp
)

add_library( oktetapart  MODULE ${oktetapart_SRCS} )


target_link_libraries( oktetapart
  OktetaKastenControllers
  OktetaKastenGui
  OktetaKastenCore
  KastenControllers
  KastenGui
  KastenCore
  KF5::I18n
  KF5::Parts
)

install( TARGETS oktetapart  DESTINATION ${PLUGIN_INSTALL_DIR})
if(${KF5_VERSION} VERSION_LESS "5.16.0")
    kcoreaddons_desktop_to_json(oktetapart oktetapart.desktop)
else()
    kcoreaddons_desktop_to_json(oktetapart oktetapart.desktop  SERVICE_TYPES kpart.desktop)
endif()

install(
  FILES oktetapartreadonlyui.rc oktetapartbrowserui.rc oktetapartreadwriteui.rc
  DESTINATION ${KXMLGUI_INSTALL_DIR}/oktetapart
)

if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

=== parts/kpart/tests/CMakeLists.txt ===
if (NOT Qt5Test_FOUND)
  return()
endif()

include(ECMAddTests)

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}/..
)

add_definitions(
    -DTESTPATH1=\"${CMAKE_CURRENT_SOURCE_DIR}/oktetaparttest.h\"
    -DTESTPATH2=\"${CMAKE_CURRENT_SOURCE_DIR}/oktetaparttest.cpp\"
)

# TODO: deduplicate object file generation of
ecm_add_test(
  ../part.cpp
  ../browserextension.cpp
  ../partfactory.cpp
  oktetaparttest.cpp
  TEST_NAME oktetaparttest
  NAME_PREFIX kpart-
  LINK_LIBRARIES
  OktetaKastenControllers
  OktetaKastenGui
  OktetaKastenCore
  KastenControllers
  KastenGui
  KastenCore
  KF5::I18n
  KF5::Parts
  Qt5::Test
)

if(${KF5_VERSION} VERSION_LESS "5.16.0")
    kcoreaddons_desktop_to_json(oktetaparttest ../oktetapart.desktop)
else()
    kcoreaddons_desktop_to_json(oktetaparttest ../oktetapart.desktop  SERVICE_TYPES kpart.desktop)
endif()

=== debian/control ===
--- 
+++ 
@@ -9,33 +9,35 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.24.0~),
-               kdoctools-dev (>= 5.24.0~),
-               kio-dev (>= 5.24.0~),
-               libkf5bookmarks-dev (>= 5.24.0~),
-               libkf5codecs-dev (>= 5.24.0~),
-               libkf5completion-dev (>= 5.24.0~),
-               libkf5configwidgets-dev (>= 5.24.0~),
-               libkf5dbusaddons-dev (>= 5.24.0~),
-               libkf5i18n-dev (>= 5.24.0~),
-               libkf5iconthemes-dev (>= 5.24.0~),
-               libkf5kcmutils-dev (>= 5.24.0~),
-               libkf5newstuff-dev (>= 5.24.0~),
-               libkf5parts-dev (>= 5.24.0~),
-               libkf5service-dev (>= 5.24.0~),
-               libkf5widgetsaddons-dev (>= 5.24.0~),
-               libkf5xmlgui-dev (>= 5.24.0~),
+               extra-cmake-modules (>= 1.7.0~),
+               kdoctools-dev (>= 5.7.0~),
+               kio-dev (>= 5.7.0~),
+               libkf5bookmarks-dev (>= 5.7.0~),
+               libkf5codecs-dev (>= 5.7.0~),
+               libkf5completion-dev (>= 5.7.0~),
+               libkf5configwidgets-dev (>= 5.7.0~),
+               libkf5dbusaddons-dev (>= 5.7.0~),
+               libkf5doctools-dev (>= 5.7.0~),
+               libkf5i18n-dev (>= 5.7.0~),
+               libkf5iconthemes-dev (>= 5.7.0~),
+               libkf5kcmutils-dev (>= 5.7.0~),
+               libkf5kio-dev (>= 5.7.0~),
+               libkf5newstuff-dev (>= 5.7.0~),
+               libkf5parts-dev (>= 5.7.0~),
+               libkf5service-dev (>= 5.7.0~),
+               libkf5widgetsaddons-dev (>= 5.7.0~),
+               libkf5xmlgui-dev (>= 5.7.0~),
                libqca-qt5-2-dev (>= 2.1.0),
                pkg-config,
-               pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.6.1~),
-               qtscript5-dev (>= 5.6.1~),
-               qttools5-dev (>= 5.6.1~),
+               pkg-kde-tools (>= 0.15.23~),
+               qtbase5-dev (>= 5.4),
+               qtscript5-dev (>= 5.4),
+               qttools5-dev (>= 5.4),
                shared-mime-info (>= 0.30)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/okteta
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/okteta
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/okteta.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/okteta.git
 
 Package: okteta
 Architecture: any
@@ -44,32 +46,27 @@
  Okteta is a simple editor for the raw data of files. This type of program is
  also called hexadecimal editor or binary editor.
  .
- The data is displayed in the traditional view with two columns: one with the
- numeric values and one with the assigned characters. Editing can be done both
- in the value column and the character column. Besides the usual editing
- capabilities Okteta also brings a small set of tools, like a table listing
- decodings into common simple data types, a table listing all possible bytes
- with its character and value equivalents, a info view with a statistic and a
- filter tool. All modifications to the data loaded can be endlessly undone or
- redone.
+ The data is displayed in two variants: as the numeric values of the bytes
+ and as the character assigned to the values. Values and characters can be
+ shown either in two columns (the traditional display in hex editors) or in
+ rows with the value on top of the character. Editing can be done both for
+ the values and for the characters.
+ .
+ Besides the usual editing capabilities Okteta also brings a small set of
+ tools, like a table listing decodings into common simple data types, a table
+ listing all possible bytes with their character and value equivalents, an
+ info view with a statistic, a checksum calculator, a filter tool and a string
+ extraction tool.
  .
  This package is part of the KDE Software Development Kit module.
 
 Package: okteta-dev
 Architecture: any
 Section: devel
-Depends: libkasten3controllers3 (= ${binary:Version}),
-         libkasten3core3 (= ${binary:Version}),
-         libkasten3gui3 (= ${binary:Version}),
-         libkasten3okteta1controllers1 (= ${binary:Version}),
-         libkasten3okteta1core1 (= ${binary:Version}),
-         libkasten3okteta1gui1 (= ${binary:Version}),
-         libkf5xmlgui-dev,
-         libokteta2core2 (= ${binary:Version}),
-         libokteta2gui2 (= ${binary:Version}),
-         okteta (= ${binary:Version}),
+Depends: libkf5xmlgui-dev (>= 5.7.0~),
          qtbase5-dev (>= 5.4),
-         ${misc:Depends}
+         ${misc:Depends},
+         ${so:Depends}
 Description: Development files for Okteta
  Okteta is a simple editor for the raw data of files. This type of program is
  also called hexadecimal editor or binary editor.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,4 @@
 #!/usr/bin/make -f
-
-export DEB_CFLAGS_MAINT_STRIP = -O3
-export DEB_CXXFLAGS_MAINT_STRIP = -O3
 
 dh = --with sodeps

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11, kinit
Restrictions: build-needed

Tests: acc
Depends: @, @builddeps@,
         dh-acc, exuberant-ctags

## okteta 16.12.3

=== debian/control ===
--- 
+++ 
@@ -9,35 +9,33 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.7.0~),
-               kdoctools-dev (>= 5.7.0~),
-               kio-dev (>= 5.7.0~),
-               libkf5bookmarks-dev (>= 5.7.0~),
-               libkf5codecs-dev (>= 5.7.0~),
-               libkf5completion-dev (>= 5.7.0~),
-               libkf5configwidgets-dev (>= 5.7.0~),
-               libkf5dbusaddons-dev (>= 5.7.0~),
-               libkf5doctools-dev (>= 5.7.0~),
-               libkf5i18n-dev (>= 5.7.0~),
-               libkf5iconthemes-dev (>= 5.7.0~),
-               libkf5kcmutils-dev (>= 5.7.0~),
-               libkf5kio-dev (>= 5.7.0~),
-               libkf5newstuff-dev (>= 5.7.0~),
-               libkf5parts-dev (>= 5.7.0~),
-               libkf5service-dev (>= 5.7.0~),
-               libkf5widgetsaddons-dev (>= 5.7.0~),
-               libkf5xmlgui-dev (>= 5.7.0~),
+               extra-cmake-modules (>= 5.31.0~),
+               libkf5bookmarks-dev (>= 5.31.0~),
+               libkf5codecs-dev (>= 5.31.0~),
+               libkf5completion-dev (>= 5.31.0~),
+               libkf5configwidgets-dev (>= 5.31.0~),
+               libkf5dbusaddons-dev (>= 5.31.0~),
+               libkf5doctools-dev (>= 5.31.0~),
+               libkf5i18n-dev (>= 5.31.0~),
+               libkf5iconthemes-dev (>= 5.31.0~),
+               libkf5kcmutils-dev (>= 5.31.0~),
+               libkf5kio-dev (>= 5.31.0~),
+               libkf5newstuff-dev (>= 5.31.0~),
+               libkf5parts-dev (>= 5.31.0~),
+               libkf5service-dev (>= 5.31.0~),
+               libkf5widgetsaddons-dev (>= 5.31.0~),
+               libkf5xmlgui-dev (>= 5.31.0~),
                libqca-qt5-2-dev (>= 2.1.0),
                pkg-config,
-               pkg-kde-tools (>= 0.15.23~),
-               qtbase5-dev (>= 5.4),
-               qtscript5-dev (>= 5.4),
-               qttools5-dev (>= 5.4),
+               pkg-kde-tools (>> 0.15.15),
+               qtbase5-dev (>= 5.6.1~),
+               qtscript5-dev (>= 5.6.1~),
+               qttools5-dev (>= 5.6.1~),
                shared-mime-info (>= 0.30)
 Standards-Version: 3.9.8
 Homepage: http://www.kde.org/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/okteta.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/okteta.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/okteta
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/okteta
 
 Package: okteta
 Architecture: any
@@ -63,10 +61,18 @@
 Package: okteta-dev
 Architecture: any
 Section: devel
-Depends: libkf5xmlgui-dev (>= 5.7.0~),
-         qtbase5-dev (>= 5.4),
-         ${misc:Depends},
-         ${so:Depends}
+Depends: libkasten3controllers3 (= ${binary:Version}),
+         libkasten3core3 (= ${binary:Version}),
+         libkasten3gui3 (= ${binary:Version}),
+         libkasten3okteta1controllers1 (= ${binary:Version}),
+         libkasten3okteta1core1 (= ${binary:Version}),
+         libkasten3okteta1gui1 (= ${binary:Version}),
+         libkf5xmlgui-dev (>= 5.31.0~),
+         libokteta2core2 (= ${binary:Version}),
+         libokteta2gui2 (= ${binary:Version}),
+         okteta (= ${binary:Version}),
+         qtbase5-dev (>= 5.6.1~),
+         ${misc:Depends}
 Description: Development files for Okteta
  Okteta is a simple editor for the raw data of files. This type of program is
  also called hexadecimal editor or binary editor.

## okteta 17.04.3

=== debian/control ===
--- 
+++ 
@@ -40,6 +40,8 @@
 Package: okteta
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
 Description: hexadecimal editor for binary files
  Okteta is a simple editor for the raw data of files. This type of program is
  also called hexadecimal editor or binary editor.
@@ -84,7 +86,9 @@
 Package: libkasten3controllers3
 Architecture: any
 Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: libokteta-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: controllers Kasten library for Okteta
  Kasten is a framework for composing programs.
  .
@@ -95,7 +99,9 @@
 Package: libkasten3core3
 Architecture: any
 Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: libokteta-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: core Kasten library for Okteta
  Kasten is a framework for composing programs.
  .
@@ -106,7 +112,9 @@
 Package: libkasten3gui3
 Architecture: any
 Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: libokteta-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: gui Kasten library for Okteta
  Kasten is a framework for composing programs.
  .
@@ -117,7 +125,9 @@
 Package: libokteta2core2
 Architecture: any
 Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: libokteta-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: core Okteta library
  Okteta is a simple editor for the raw data of files. This type of program is
  also called hexadecimal editor or binary editor.
@@ -129,7 +139,9 @@
 Package: libokteta2gui2
 Architecture: any
 Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: libokteta-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: gui Okteta library
  Okteta is a simple editor for the raw data of files. This type of program is
  also called hexadecimal editor or binary editor.
@@ -141,7 +153,9 @@
 Package: libkasten3okteta1controllers1
 Architecture: any
 Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: libokteta-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: kastencontrollers library for Okteta
  Okteta is a simple editor for the raw data of files. This type of program is
  also called hexadecimal editor or binary editor.
@@ -154,7 +168,9 @@
 Package: libkasten3okteta1core1
 Architecture: any
 Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: libokteta-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: kastencore library for Okteta
  Okteta is a simple editor for the raw data of files. This type of program is
  also called hexadecimal editor or binary editor.
@@ -167,7 +183,9 @@
 Package: libkasten3okteta1gui1
 Architecture: any
 Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: libokteta-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: kastengui library for Okteta
  Okteta is a simple editor for the raw data of files. This type of program is
  also called hexadecimal editor or binary editor.
@@ -176,3 +194,18 @@
  with Kasten GUI.
  .
  This package is part of the KDE Software Development Kit module.
+
+Package: libokteta-data
+Architecture: all
+Section: libs
+Depends: ${misc:Depends}
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
+Description: library data files for Okteta
+ Okteta is a simple editor for the raw data of files. This type of program is
+ also called hexadecimal editor or binary editor.
+ .
+ This package provides the part of the Okteta libraries interfacing
+ with Kasten GUI.
+ .
+ This package is part of the KDE Software Development Kit module.
